cd "P:\Personal Folders\anneyr\stata9\talk"
insheet using txt\taqman_test.txt,clear
rename v2 PATIENT
rename v3 MARKER
drop if v1=="Well"
rename v6 CALL
keep PATIENT MARKER CALL
drop if PATIENT=="HapMap"
ta CALL if PATIENT=="BLANK",m
drop if PATIENT=="BLANK"
egen x=seq(),by (PATIENT MARKER)
ta x,m
gen ALLELE1="0"
gen ALLELE2="0"
	replace ALLELE1="T" if CALL=="T-FAM"
	replace ALLELE1="T" if CALL=="Both"
	replace ALLELE1="C" if CALL=="C-VIC"
	replace ALLELE2="T" if CALL=="T-FAM"
	replace ALLELE2="C" if CALL=="Both"
	replace ALLELE2="C" if CALL=="C-VIC"
gen MENDEL=2
keep PATIENT MARKER ALLELE1 ALLELE2 MENDEL
sort PATIENT MARKER
outsheet using output\TAQMAN.GEN,replace noquote
